<?php
// ------------------------------------------------------------------------ //
// Geeklog - PHP Content Management System                                  //
// ------------------------------------------------------------------------ //
// Admin program for Chatterblock Plugin - Developed for Geeklog            //
// By: Blaine Lang  -  Nov 2002    blaine@portalparts.com                   //
//                                                                          //
// Nov 12/2002: First offical release v2.3 of Chatterblock                  //
// ------------------------------------------------------------------------ //
// This program is free software; you can redistribute it and/or modify     //
// it under the terms of the GNU General Public License as published by     //
// the Free Software Foundation; either version 2 of the License, or        //
// (at your option) any later version.                                      //
//                                                                          //
// This program is distributed in the hope that it will be useful,          //
// but WITHOUT ANY WARRANTY; without even the implied warranty of           //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
// GNU General Public License for more details.                             //
//                                                                          //
// You should have received a copy of the GNU General Public License        //
// along with this program; if not, write to the Free Software              //
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------ //

require_once('../../../lib-common.php');

if (!SEC_hasRights('chatterblock.edit')) {
    include($_CONF['path_html'] . "/chatterblock/include/cb_redirect.php");
    cb_redirect($_CONF["site_url"] . "/index.php", 1, $cb_lang['err03']);
    exit();
}

if ($_POST['submit']) {
    $configfile = $_CONF['path_html'] . 'chatterblock/cache/cb_config.php';

    // Chatterblock default site mode
    $xcb_mode = $_POST['xcb_mode'];
    // Convert entered time in hours to seconds
    $xcb_history = 3600 * $_POST['xcb_history'];
    // Maximum number of character per line
    $xcb_static_lines = $_POST['xcb_static_lines'];
    // Scroller height in pixels (both smooth and iframe mode)
    $xcb_scroll_height = $_POST['xcb_scroll_height'];
    // default Iframe refresh rate in milliseconds
    $xcb_refresh_rate = 1000 * $_POST['xcb_refresh_rate'];
    // Number of lines to show per page in the chatterlog
    $xcb_log_lines = $_POST['xcb_log_lines'];
    // Default mode for pop-ups if new message is posted
    $xcb_popup_allowed = $_POST['xcb_popup_allowed'];
    // Default mode for display of messages in block
    $xcb_newest_first = $_POST['xcb_newest_first'];
    
    // Record the Site Defaults that are also user preferences to block userprefs table - use the record where UID=0
    DB_query("UPDATE {$_TABLES['cb_userprefs']} SET history='$xcb_history', mode='$xcb_mode' ,static_lines='$xcb_static_lines',
        scroll_height='$xcb_scroll_height', refresh_rate='$xcb_refresh_rate', log_lines='$xcb_log_lines', popup_allowed='$xcb_popup_allowed', newest_first='$xcb_newest_first' WHERE uid='0'"); 
  
    // Scroller and Iframe Mode - Display window width in pixels
    $xcb_scroll_width = $_POST['xcb_scroll_width'];
    // Option to enable anonymous access
    $xcb_public_access = $_POST['xcb_public_access'];
    // Option to display IP address icon
    $xcb_track_ip = $_POST['xcb_track_ip'];
    // Option to display time message was posted icon
    $xcb_display_time = $_POST['xcb_display_time'];
    // Option to enable anonymous users to enter their name
    $xcb_anon_entername = $_POST['xcb_anon_entername'];
   // Option to enable access to user preferences
    $xcb_log_access = $_POST['xcb_userprefs_access'];
    // Option to enable users to delete their last post
    $xcb_delete_last = $_POST['xcb_delete_last'];
    // Option to enable users to edit last post in chatterlog
    $xcb_log_editlast = $_POST['xcb_log_editlast'];
    // Option to enable public access to chatterlog
    $xcb_log_access = $_POST['xcb_log_access'];

        // Option to enable public access to chatterlog
    $xcb_use_spamx = $_POST['xcb_use_spamx'];

    // Record the Site Defaults that are can not also be user preferences to the config file
    
    $file = fopen($configfile, "w");
    $content = "";
    $content .= "<?php\n";
    $content .= "\n";
    $content .= "\$cb_siteconfig['scroll_width']     = $xcb_scroll_width;\n";
    $content .= "\$cb_siteconfig['anon_dispname']    = \"$xcb_anon_dispname\";\n";
    $content .= "\$cb_siteconfig['public_access']    = $xcb_public_access;\n";
    $content .= "\$cb_siteconfig['track_ip']         = $xcb_track_ip;\n";
    $content .= "\$cb_siteconfig['display_time']     = $xcb_display_time;\n";
    $content .= "\$cb_siteconfig['anon_entername']   = $xcb_anon_entername;\n";
    $content .= "\$cb_siteconfig['userprefs_access'] = $xcb_userprefs_access;\n";
    $content .= "\$cb_siteconfig['delete_last']      = $xcb_delete_last;\n";
    $content .= "\$cb_siteconfig['log_editlast']     = $xcb_log_editlast;\n";
    $content .= "\$cb_siteconfig['log_access']       = $xcb_log_access;\n";
    $content .= "\$cb_siteconfig['use_spamx']        = $xcb_use_spamx;\n";
    $content .= "\n";
    $content .= "?>";

    fwrite($file, $content);
    fclose($file);

    $display .= COM_refresh($_CONF['site_admin_url'] . '/plugins/chatterblock/index.php');
    //cb_redirect($_CONF["site_url"] . "/index.php", 1, $cb_lang['err03']);

    echo $display;
    
} else {
    // Check in case this is the first time being called and there is no default record
    $query1 = "Select * from {$_TABLES['cb_userprefs']} WHERE uid = 0";
    $result1 = DB_query($query1);
    if (DB_numrows($result1) == 0) {
        $sql1 = "insert into " . $_TABLES['cb_userprefs'] . "(uid, history, mode, static_lines, scroll_height, refresh_rate, log_lines, popup_allowed, newest_first)
            values ('0','86400','static','6','250','900000','20','1','0')";
        DB_query($sql1);
        $result1 = DB_query($query1);
    } 
    $cb_siteprefs = DB_fetchArray($result1);
    $display = COM_siteHeader('menu');
    $display .= COM_startBlock("<b>" . $cb_lang['admin01'] . "</b>");
    $display .= '<form action="index.php" method="post">';
    $display .= '<br><table cellpadding="1" cellspacing="1" width="95%" border="0">';
    $display .= '<tr><td width="25%"></td><td width="50%"></td><td width="20%"></td><td width="10%"></td></tr>';
    $display .= '<tr><td colspan="4" align="left">' . $cb_lang['admin16'] . '</td></tr>';
    $display .= '<tr><td></td><td class="cb_adminRow1" align="left">' . $cb_lang['admin09'];
    $display .= '</td><td colspan="2" class="cb_adminRow1" align = "left"><select id="xcb_mode" name="xcb_mode">';
    if ($cb_siteprefs['mode'] == "static") {
        $display .= '<option selected value="static">' . $cb_lang['admin20'] . '</option>';
    } else {
        $display .= '<option value="static">' . $cb_lang['admin20'] . '</option>';
    } 
    if ($cb_siteprefs['mode'] == "smooth") {
        $display .= '<option selected value="smooth">' . $cb_lang['admin21'] . '</option>';
    } else {
        $display .= '<option value="smooth">' . $cb_lang['admin21'] . '</option>';
    } 
    if ($cb_siteprefs['mode'] == "iframe") {
        $display .= '<option selected value="iframe">' . $cb_lang['admin22'] . '</option>';
    } else {
        $display .= '<option value="iframe">' . $cb_lang['admin22'] . '</option>';
    } 
    $display .= '</select>';

    $display .= '</td></tr><tr><td></td><td colspan="2" class="cb_adminRow2" align = "left">' . $cb_lang['admin03'] . '</td><td class="cb_adminRow2">';
    $display .= '<INPUT TYPE="text" size="3" NAME="xcb_history" VALUE="' . ($cb_siteprefs['history'] / 3600) . '"></INPUT>';

    $display .= '</td></tr><tr><td></td><td colspan="2" class="cb_adminRow1" align = "left">' . $cb_lang['admin10'] . '</td><td class="cb_adminRow1">';
    $display .= '<INPUT TYPE="text" size="3" NAME="xcb_static_lines" VALUE="' . $cb_siteprefs['static_lines'] . '"></INPUT>';

    $display .= '</td></tr><tr><td></td><td colspan="2" class="cb_adminRow2" align = "left">' . $cb_lang['admin11'] . '</td><td class="cb_adminRow2">';
    $display .= '<INPUT TYPE="text" size="3" NAME="xcb_scroll_height" VALUE="' . $cb_siteprefs['scroll_height'] . '"></INPUT>';

    $display .= '</td></tr><tr><td></td><td colspan="2" class="cb_adminRow1" align = "left">' . $cb_lang['admin15'] . '</td><td class="cb_adminRow1">';
    $display .= '<INPUT TYPE="text" size="3" NAME="xcb_refresh_rate" VALUE="' . ($cb_siteprefs['refresh_rate'] / 1000) . '"></INPUT>';

    $display .= '</td></tr><tr><td></td><td colspan="2" class="cb_adminRow2" align = "left">' . $cb_lang['admin13'] . '</td><td class="cb_adminRow2">';
    $display .= '<INPUT TYPE="text" size="3" NAME="xcb_log_lines" VALUE="' . $cb_siteprefs['log_lines'] . '"></INPUT>';

    $display .= '</td></tr><tr><td></td><td colspan="2" class="cb_adminRow1" align = "left">' . $cb_lang['admin14'] . '</td><td class="cb_adminRow1">';
    if ($cb_siteprefs['popup_allowed'] == 1) {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_popup_allowed" VALUE="1" CHECKED>&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_popup_allowed" VALUE="0" >&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    } else {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_popup_allowed" VALUE="1">&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_popup_allowed" VALUE="0" CHECKED>&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    } 

    $display .= '</td></tr><tr><td></td><td colspan="2" class="cb_adminRow2" align = "left">' . $cb_lang['admin14b'] . '</td><td class="cb_adminRow2">';
    if ($cb_siteprefs['newest_first'] == 1) {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_newest_first" VALUE="1" CHECKED>&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_newest_first" VALUE="0" >&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    } else {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_newest_first" VALUE="1">&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_newest_first" VALUE="0" CHECKED>&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    } 

    $display .= '</td></tr><tr><td colspan="4"><HR></td><td>';
    $display .= '<tr><td colspan="4" align="left">' . $cb_lang['admin17'] . '</td></tr>';

    $display .= '</td></tr><tr><td></td><td colspan="2" class="cb_adminRow2" align = "left">' . $cb_lang['admin12'] . '</td><td class="cb_adminRow2">';
    $display .= '<INPUT TYPE="text" size="3" NAME="xcb_scroll_width" VALUE="' . $cb_siteconfig['scroll_width'] . '"></INPUT>';

    $display .= '</td></tr><tr><td></td><td colspan="2" class="cb_adminRow1" align = "left">' . $cb_lang['admin05'] . '</td><td class="cb_adminRow1">';
    $display .= '<INPUT TYPE="text" size="20" NAME="xcb_anon_dispname" VALUE="' . $cb_siteconfig['anon_dispname'] . '"></INPUT>';

    $display .= '</td></tr><tr><td></td><td colspan="2" class="cb_adminRow2" align = "left">' . $cb_lang['admin06'] . '</td><td class="cb_adminRow2">';
    if ($cb_siteconfig['public_access'] == 1) {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_public_access" VALUE="1" CHECKED>&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_public_access" VALUE="0" >&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    } else {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_public_access" VALUE="1">&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_public_access" VALUE="0" CHECKED>&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    } 

    $display .= '</td></tr><tr><td></td><td colspan="2" class="cb_adminRow1"align = "left">' . $cb_lang['admin07'] . '</td><td class="cb_adminRow1">';
    if ($cb_siteconfig['track_ip'] == 1) {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_track_ip" VALUE="1" CHECKED>&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_track_ip" VALUE="0" >&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    } else {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_track_ip" VALUE="1">&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_track_ip" VALUE="0" CHECKED>&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    } 

    $display .= '</td></tr><tr><td></td><td colspan="2" class="cb_adminRow2" align = "left">' . $cb_lang['admin23'] . '</td><td class="cb_adminRow2">';
    if ($cb_siteconfig['display_time'] == 1) {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_display_time" VALUE="1" CHECKED>&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_display_time" VALUE="0" >&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    } else {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_display_time" VALUE="1">&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_display_time" VALUE="0" CHECKED>&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    } 

    $display .= '</td></tr><tr><td></td><td colspan="2" class="cb_adminRow1" align = "left">' . $cb_lang['admin08'] . '</td><td class="cb_adminRow1">';
    if ($cb_siteconfig['anon_entername'] == 1) {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_anon_entername" VALUE="1" CHECKED>&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_anon_entername" VALUE="0" >&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    } else {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_anon_entername" VALUE="1">&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_anon_entername" VALUE="0" CHECKED>&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    } 

    $display .= '</td></tr><tr><td></td><td colspan="2" class="cb_adminRow2" align = "left">' . $cb_lang['admin24'] . '</td><td class="cb_adminRow2">';
    if ($cb_siteconfig['userprefs_access'] == 1) {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_userprefs_access" VALUE="1" CHECKED>&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_userprefs_access" VALUE="0" >&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    } else {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_userprefs_access" VALUE="1">&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_userprefs_access" VALUE="0" CHECKED>&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    }

    $display .= '</td></tr><tr><td></td><td colspan="2" class="cb_adminRow1" align = "left">' . $cb_lang['admin25'] . '</td><td class="cb_adminRow1">';
    if ($cb_siteconfig['delete_last'] == 1) {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_delete_last" VALUE="1" CHECKED>&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_delete_last" VALUE="0" >&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    } else {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_delete_last" VALUE="1">&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_delete_last" VALUE="0" CHECKED>&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    }

    $display .= '</td></tr><tr><td></td><td colspan="2" class="cb_adminRow2" align = "left">' . $cb_lang['admin26'] . '</td><td class="cb_adminRow2">';
    if ($cb_siteconfig['log_editlast'] == 1) {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_log_editlast" VALUE="1" CHECKED>&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_log_editlast" VALUE="0" >&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    } else {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_log_editlast" VALUE="1">&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_log_editlast" VALUE="0" CHECKED>&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    }
    
    $display .= '</td></tr><tr><td></td><td colspan="2" class="cb_adminRow1" align = "left">' . $cb_lang['admin19'] . '</td><td class="cb_adminRow1">';
    if ($cb_siteconfig['log_access'] == 1) {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_log_access" VALUE="1" CHECKED>&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_log_access" VALUE="0" >&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    } else {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_log_access" VALUE="1">&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_log_access" VALUE="0" CHECKED>&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    }

    $display .= '</td></tr><tr><td></td><td colspan="2" class="cb_adminRow2" align = "left">' . $cb_lang['admin27'] . '</td><td class="cb_adminRow1">';
    if ($cb_siteconfig['use_spamx'] == 1) {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_use_spamx" VALUE="1" CHECKED>&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_use_spamx" VALUE="0" >&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    } else {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_use_spamx" VALUE="1">&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_use_spamx" VALUE="0" CHECKED>&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    }

    $display .= '</td></tr><tr><td colspan="4" align="center"><br>';
    $display .= '<input type="submit" name="submit" value="' . $cb_lang['save'] . '">';
    $display .= '&nbsp;<input type="button" value="' . $cb_lang['cancel'] . '" onclick="javascript:history.go(-1)">';
    $display .= '</td></tr>';
    $display .= '</table><br>';
    $display .= '</form>';
    $display .= COM_endBlock();
    $display .= COM_siteFooter();
    echo $display;
} 

?>