<?php
// ------------------------------------------------------------------------- //
//                Geeklog - PHP Content Management System                    //
// ------------------------------------------------------------------------- //
// Language defines for Chatterblock - Developed for Geeklog                 //
// By: Blaine Lang  -  October 2002                                          //
// blaine@portalparts.com                                                    //
//                                                                           //
// Oct 13/2002: First offical release v2.3 of Chatterblock                   //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //

$LANG_PL00 = array (
    'plugin'            => 'Plugin',
    'access_denied'     => 'Access Denied',
    'access_denied_msg' => 'Only Root Users have Access to this Page.  Your user name and IP have been recorded.',
    'admin'                => 'Plugin Admin',
    'install_header'    => 'Install/Uninstall Plugin',
    'installed'         => 'The Plugin and Block are now installed,<p><i>Enjoy,<br><a href="MAILTO:blaine@portalparts.com">Blaine</a></i>',
    'uninstalled'       => 'The Plugin is Not Installed',
    'install_success'    => 'Installation Successful<p><b>Next Steps</b>: 
        <ol><li>Block definition automatically created - review setting to move block or change title
        <li>New Admin menu item has been added. Review the admin settings for block
        <li>New User Preferences setting added - Each user can now customize their settings</ol>',
    'install_failed'    => 'Installation Failed -- See your error log to find out why.',
    'uninstall_msg'        => 'Plugin Successfully Uninstalled',
    'install'           => 'Install',
    'uninstall'         => 'UnInstall',
    'enabled'           => '<br>Plugin is installed and enabled.<br>Disable first if you want to De-Install it.<p>',
    'search_label'      => 'Chatterblock entries',
    'warning'           => 'Chatterblock De-Install Warning'
);

$cb_lang['err01']      = 'Use comma after the name for targeted chat.';
$cb_lang['err02']      = 'That user is not registered';
$cb_lang['err03']      = 'Access not permitted to this feature';

$cb_lang['prompt01']   = 'You wrote:';
$cb_lang['prompt02']   = '<br><center><small>Registered user feature</small></center><p>';
$cb_lang['prompt03']   = 'You said to %s: ';
$cb_lang['prompt04']   = 'Sent on: ';
$cb_lang['prompt05']   = 'Delete your last post';
$cb_lang['prompt06']   = 'Chatterlog';
$cb_lang['prompt07']   = '<br>&nbsp;&nbsp;And all is quiet...<br>';
$cb_lang['prompt08']   = '<center>---- last post ----</center>';
$cb_lang['prompt09']   = '<br>Last Post: %s';
$cb_lang['prompt10']   = '<center>No chat records on file</center>';
$cb_lang['prompt11']   = 'Send/Refresh';
$cb_lang['prompt12']   = 'Sent on: ';
$cb_lang['prompt13']   = 'IP Address: ';
$cb_lang['prompt14']   = 'Smilie Help';
$cb_lang['prompt15']   = 'Username';
$cb_lang['prompt16']   = 'Enter Message';
$cb_lang['prompt17']   = '&nbsp;says:<br>';
$cb_lang['prompt18']   = 'Chatterblock Posting History';
$cb_lang['prompt19']   = 'Chatterblock Archive';
$cb_lang['prompt20']   = 'Chatterblock Private Messages';
$cb_lang['prompt21']   = 'Total public Chats: %s';
$cb_lang['prompt22']   = 'Chatterblock Admin';
$cb_lang['prompt23']   = 'Chatterblock Settings';
$cb_lang['prompt24']   = '<font class="cb_chatcount"><br>Auto-Refresh %s seconds</font>';


$cb_lang['admin01']      = 'Chatterblock Configuration';
$cb_lang['admin02']      = 'Config Admin';
$cb_lang['admin03']      = 'Number of hours of Chatter history to display:';
$cb_lang['admin04']      = '';
$cb_lang['admin05']      = 'To be displayed when an anonymous user posts:';
$cb_lang['admin06']      = 'Enable anonymous access to block:';
$cb_lang['admin07']      = 'Display IP addresses:';
$cb_lang['admin08']      = 'Enable "Enter Name" field for Anonymous users:';
$cb_lang['admin09']      = 'Chatterblock mode:&nbsp;&nbsp;';
$cb_lang['admin10']      = '<b>Static Mode</b>: Number of lines (posts) to display:';
$cb_lang['admin11']      = '<b>Scrolling and iframe mode</b>: Frame height in pixels:';
$cb_lang['admin12']      = '<b>Scrolling and iframe mode</b>: Frame width in pixels or 0 for 100% :';
$cb_lang['admin13']      = 'Number of lines to show on 1 page in the log view:';
$cb_lang['admin14']      = 'Enable Popup Alerts:';
$cb_lang['admin14b']     = 'Show latest posts first:';

$cb_lang['admin15']      = '<b>iframe mode</b>: Refresh rate in seconds:';
$cb_lang['admin16']      = '<b>Default User Preferences</b>';
$cb_lang['admin17']      = '<b>Default Site Preferences</b>';
$cb_lang['admin18']      = 'Enable public access to block';
$cb_lang['admin19']      = 'Enable non-admin access to Chatterlog';
$cb_lang['admin20']      = 'Static - fixed size';
$cb_lang['admin21']      = 'Smooth Scrolller';
$cb_lang['admin22']      = 'iframe - auto refresh';
$cb_lang['admin23']      = 'Display Posted Time Icon';
$cb_lang['admin24']      = 'Enable users to set individual preferences';
$cb_lang['admin25']      = 'Enable users to delete last post';
$cb_lang['admin26']      = 'Enable users to edit last post in Chatterlog';
$cb_lang['admin27']      = 'Use the SPAMX Plugin';  


$cb_lang['yes']     = 'Yes';
$cb_lang['no']      = 'No';
$cb_lang['save']    = 'Save';
$cb_lang['cancel']  = 'Cancel';

$cb_lang['logbtn1']    = 'View Chatter';
$cb_lang['logbtn2']    = 'View Archive';
$cb_lang['logbtn3']    = 'View PM\'s';
$cb_lang['logbtn4']    = 'Delete';
$cb_lang['logbtn5']    = 'Archive';
$cb_lang['logbtn6']    = 'Update';
$cb_lang['logtitle1']  = 'Mark';
$cb_lang['logtitle2']  = '&lt;Date&gt;';
$cb_lang['logtitle3']  = '&nbsp;&nbsp;&nbsp;Time';
$cb_lang['logtitle4']  = '&nbsp;&lt;User&gt;';
$cb_lang['logtitle5']  = '&nbsp;IP Addr';
$cb_lang['logtitle6']  = '&nbsp;Message';
$cb_lang['logtitle7']  = '<br><em>Click on Date and User to change sort - repeat to reverse order</em>';

$PLG_chatterblock_MESSAGE1 = 'Chatterblock Plugin Upgrade completed - no errors';
$PLG_chatterblock_MESSAGE5 = 'Chatterblock Plugin Upgrade failed - check error.log';

?>