<?php
// ------------------------------------------------------------------------- //
//                Geeklog - PHP Content Management System                    //
// ------------------------------------------------------------------------- //
// User Settings program for Chatterblock Plugin - Developed for Geeklog     //
// By: Blaine Lang  -  Nov 2002    blaine@portalparts.com                    //
//                                                                           //
// Nov 12/2002: First offical release v2.3 of Chatterblock                   //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //

require_once("../lib-common.php");

function cb_getUserOptionsForm($cb_userconfig) {
    global $_CONF,$cb_lang;
    
    $display = COM_siteHeader('menu');
    $display .= COM_startBlock("<b>" .$cb_lang['admin01']. "</b>");
    $display .= '<form action="cb_userprefs.php" method="post">';
    $display .= '<br><table cellpadding="2" cellspacing="0" width="70%" border="0">';
    $display .= '<tr><td width="5%"></td><td width="20%">&nbsp;</td><td width="20%">&nbsp;</td><td width="10%"></td></tr>';
    
    $display .= '<tr><td></td><td class="cb_adminRow1" align = "left">' .$cb_lang['admin09'];
    $display .= '</td><td colspan="2" class="cb_adminRow1" align = "center"><select id="xcb_scrollermode" name="xcb_scrollermode">';
    if ($cb_userconfig['mode'] == "static") {
        $display .= '<option selected value="static">Static - fixed size</option>';
    } else {
        $display .= '<option value="static">Static - fixed size</option>';
    }
    if ($cb_userconfig['mode'] == "smooth") {
        $display .= '<option selected value="smooth">Smooth scroller</option>';
    } else {
        $display .= '<option value="smooth">Smooth scroller</option>';
    }
    if ($cb_userconfig['mode'] == "iframe") {
        $display .= '<option selected value="iframe">iframe - auto refresh</option>';
    } else {
        $display .= '<option value="iframe">iframe - auto refresh</option>';
    }
    $display .= '</select>';
    
    $display .= '</td></tr><tr><td></td><td class="cb_adminRow2" colspan="2" align = "left">'.$cb_lang['admin03'].'</td><td class="cb_adminRow2">';
    $display .= '<INPUT TYPE="text" size="3" NAME="xcb_max_time" VALUE="' .($cb_userconfig['history']/3600). '"></INPUT>';
    
    $display .= '</td></tr><tr><td></td><td class="cb_adminRow1" colspan="2" align = "left">'.$cb_lang['admin10'].'</td><td class="cb_adminRow1">';
    $display .= '<INPUT TYPE="text" size="3" NAME="xcb_max_display" VALUE="'. $cb_userconfig['static_lines']. '"></INPUT>';
    
    $display .= '</td></tr><tr><td></td><td class="cb_adminRow2" colspan="2" align = "left">'.$cb_lang['admin11'].'</td><td class="cb_adminRow2">';
    $display .= '<INPUT TYPE="text" size="3" NAME="xcb_frame_height" VALUE="' .$cb_userconfig['scroll_height']. '"></INPUT>';

    $display .= '</td></tr><tr><td></td><td class="cb_adminRow1" colspan="2" align = "left">'.$cb_lang['admin15'].'</td><td class="cb_adminRow1">';
    $display .= '<INPUT TYPE="text" size="3" NAME="xcb_refresh_rate" VALUE="' .($cb_userconfig['refresh_rate']/1000). '"></INPUT>';
        
    $display .= '</td></tr><tr><td></td><td class="cb_adminRow2" colspan="2" align = "left">' .$cb_lang['admin13']. '</td><td class="cb_adminRow2">';
    $display .= '<INPUT TYPE="text" size="3" NAME="xcb_logshow" VALUE="' .$cb_userconfig['log_lines']. '"></INPUT>';
    
    $display .= '</td></tr><tr><td></td><td class="cb_adminRow1" align = "left">' .$cb_lang['admin14']. '</td><td class="cb_adminRow1" colspan="2" align="center">';
    if ($cb_userconfig['popup_allowed'] > 1) {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_popup" VALUE="1" CHECKED>&nbsp;' .$cb_lang['yes']. '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_popup" VALUE="0" >&nbsp;' .$cb_lang['no']. '&nbsp;</INPUT>';
    } else {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_popup" VALUE="1">&nbsp;' .$cb_lang['yes'].'&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_popup" VALUE="0" CHECKED>&nbsp;' .$cb_lang['no']. '&nbsp;</INPUT>';
    }

    $display .= '</td></tr><tr><td></td><td class="cb_adminRow2" align = "left">' . $cb_lang['admin14b'] . '</td><td class="cb_adminRow2" colspan="2" align="center">';
    if ($cb_userconfig['newest_first'] == 1) {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_newest_first" VALUE="1" CHECKED>&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_newest_first" VALUE="0" >&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    } else {
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_newest_first" VALUE="1">&nbsp;' . $cb_lang['yes'] . '&nbsp;</INPUT>';
        $display .= '<INPUT TYPE="RADIO" NAME="xcb_newest_first" VALUE="0" CHECKED>&nbsp;' . $cb_lang['no'] . '&nbsp;</INPUT>';
    } 
    
    $display .= '</td></tr><tr><td></td><td colspan="4" align="center"><br>';
    $display .= '<input type="submit" name="submit" value="' .$cb_lang['save']. '">';
    $display .= '&nbsp;<input type="button" value="' .$cb_lang['cancel']. '" onclick="javascript:history.go(-1)">';
    $display .= '</td></tr>';
    $display .= '</table><br>';
    $display .= '</form>';
    $display .= COM_endBlock();
    $display .= COM_siteFooter();
    echo $display;
}
                
function cb_getUserConfig() {
global $_TABLES, $_CONF, $_USER;
    // If there is not a record - then create one and set to site defaults
    if (DB_getItem($_TABLES['cb_userprefs'],'uid',"uid = {$_USER['uid']}") != $_USER['uid'])  { 
        // Retrieve Site default preferences
        $query1 = "select * from " .$_TABLES['cb_userprefs']. " where uid = '0'";
        $result1 = DB_query($query1);
        $cb_siteprefs= DB_fetchArray($result1);
        $sql1 = "insert into " .$_TABLES['cb_userprefs']. "(uid, history, mode, static_lines, scroll_height, refresh_rate, log_lines, popup_allowed, newest_first)
            values ('" .$_USER['uid']. "','". $cb_siteprefs['history']. "','" .$cb_siteprefs['mode']. "','" .$cb_siteprefs['static_lines']. "','" .
            $cb_siteprefs['scroll_height']. "','" .$cb_siteprefs['refresh_rate']. "','" .$cb_siteprefs['log_lines']. "','" .$cb_siteprefs['popup_allowed']. "','" .$cb_siteprefs['newest_first']. "')";
        DB_query($sql1); 
    }
    $query2 = "select * from " .$_TABLES['cb_userprefs']. " where uid = '" .$_USER['uid']. "'";
    $result2 = DB_query($query2);
    $cb_userconfig= DB_fetchArray($result2);
    return $cb_userconfig;
}


if ($cb_siteconfig['userprefs_access'] || SEC_hasRights('chatterblock.user')) {

    if($HTTP_POST_VARS['submit']) {
        // Convert entered time in hours to seconds
        $cb_userconfig['history']       = 3600 * $HTTP_POST_VARS['xcb_max_time'];
        // Maximum number of character per line
        $cb_userconfig['max_width']     = $HTTP_POST_VARS['xcb_max_width'];
        // Chatterblock display mode
        $cb_userconfig['mode']          = $HTTP_POST_VARS['xcb_scrollermode'];
        // Static Display Mode - Number of chat messages to display
        $cb_userconfig['static_lines']  = $HTTP_POST_VARS['xcb_max_display'];
        // Scroller and Iframe Mode - Display window size in pixels
        $cb_userconfig['scroll_height'] = $HTTP_POST_VARS['xcb_frame_height'];
        // Iframe Mode Refresh Rate - convert to expected milliseconds
        $cb_userconfig['refresh_rate']  = 1000 * $HTTP_POST_VARS['xcb_refresh_rate'];
        // Chatterlog - number of lines per page
        $cb_userconfig['log_lines']     = $HTTP_POST_VARS['xcb_logshow'];
        // Chatterlog - Enable Javascript Popup to alert of new posted messages
        if ( $HTTP_POST_VARS['xcb_popup'] == 1) {;
            $query = DB_query("Select max(id) from {$_TABLES['cb_chatterlog']}");
            list($cb_userconfig['popup_allowed']) = DB_fetchARRAY($query); 
        } else {
            $cb_userconfig['popup_allowed'] = 0;
        }
         // Default mode for display of messages in block
        $cb_userconfig['newest_first']  = $HTTP_POST_VARS['xcb_newest_first']; 
            
        DB_query("UPDATE {$_TABLES['cb_userprefs']} SET history={$cb_userconfig['history']},mode='" .$cb_userconfig['mode'].
            "',static_lines={$cb_userconfig['static_lines']}, scroll_height={$cb_userconfig['scroll_height']}," .
            " refresh_rate={$cb_userconfig['refresh_rate']},log_lines={$cb_userconfig['log_lines']}, popup_allowed={$cb_userconfig['popup_allowed']}, newest_first={$cb_userconfig['newest_first']} WHERE uid={$_USER['uid']}");
        $display .= COM_refresh($_CONF['site_url'] . '/index.php');
        echo $display;
            
    } else   {
       if (!empty($_USER['uid'])) {
           $cb_userconfig = cb_getUserConfig();
           cb_getUserOptionsForm($cb_userconfig);
           
       } else {
           include($_CONF['path_html'] . "/chatterblock/include/cb_redirect.php");
           cb_redirect($_CONF["site_url"]. "/index.php",1,$cb_lang['err03']);
            exit();
       }
    }

} else {
    include($_CONF['path_html'] . "/chatterblock/include/cb_redirect.php");
    cb_redirect($_CONF["site_url"] . "/index.php", 1, $cb_lang['err03']);
    exit();
}


?>